sailpoint.tools

## Class Util.WrappedList<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<T>
    - - sailpoint.tools.Util.WrappedList<T>

All Implemented Interfaces:
  java.lang.Iterable<T>, java.util.Collection<T>, java.util.List<T>

Enclosing interface:
  Util

    public static class Util.WrappedList<T>
    extends java.util.AbstractList<T>

A List implementation that wraps each element returned by get(int) using the wrapper supplied to the constructor.

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`WrappedList(java.util.List<T> list, Util.ListElementWrapper<T> wrapper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `get(int i)`
`int` `size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### WrappedList

    public WrappedList(java.util.List<T> list,
                       Util.ListElementWrapper<T> wrapper)

### Method Detail

#### get

    public T get(int i)

Specified by:
  `get` in interface `java.util.List<T>`
Specified by:
  `get` in class `java.util.AbstractList<T>`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Collection<T>`
Specified by:
  `size` in interface `java.util.List<T>`
Specified by:
  `size` in class `java.util.AbstractCollection<T>`